Bug 99038 - [dEQP, EGL, SKL, BDW, BSW] dEQP-EGL.functional.negative_api.create_pixmap_surface crashes
Summary: [dEQP, EGL, SKL, BDW, BSW] dEQP-EGL.functional.negative_api.create_pixmap_sur...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Tapani Pälli
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 98315
  Show dependency treegraph
 
Reported: 2016-12-09 22:23 UTC by Mark Janes
Modified: 2016-12-15 08:46 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-12-09 22:23:58 UTC
The same is true for dEQP-EGL.functional.negative_api.create_window_surface
Comment 1 Kenneth Graunke 2016-12-12 06:49:57 UTC
Works for me...
Comment 2 Tapani Pälli 2016-12-12 07:48:30 UTC
These are passing for me, are you dEQP running against x11_egl or some other target?
Comment 3 Chad Versace 2016-12-13 22:40:43 UTC
They crash for me when using DEQP_TARGET=x11_egl.

I posted a fix to mesa-dev:

From: Chad Versace <chadversary@chromium.org>
To: mesa-dev@lists.freedesktop.org
Subject: [PATCH] egl: Fix crashes in eglCreate*Surface()
Date: Tue, 13 Dec 2016 14:40:07 -0800
Message-Id: <20161213224007.106998-1-chadversary@chromium.org>
Comment 4 Tapani Pälli 2016-12-15 08:46:48 UTC
Fixed by

--- 8< ---
commit 5e97b8f5ce975dfb66cc46e6b4cc1e89eb8c1dc0
Author: Chad Versace <chadversary@chromium.org>
Date:   Tue Dec 13 14:23:55 2016 -0800

    egl: Fix crashes in eglCreate*Surface()
    
    Don't dereference a null EGLDisplay.
    
    Fixes tests
      dEQP-EGL.functional.negative_api.create_pbuffer_surface
      dEQP-EGL.functional.negative_api.create_pixmap_surface
    
    Reviewed-by: Mark Janes <mark.a.janes@intel.com>
    Reviewed-by: Tapani Pälli <tapani.palli@intel.com>
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=99038
    Cc: "13.0" <mesa-stable@lists.freedesktop.org>


bug/show.html.tmpl processed on Jan 18, 2017 at 01:45:42.
(provided by the Example extension).